Skip to main content
GET
/
v1
/
omni
/
calls
List Omni call records
curl --request GET \
  --url https://api.pyai.com/v1/omni/calls \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "omni.call",
      "call_id": "<string>",
      "session_label": "<string>",
      "duration_s": 123,
      "has_recording": true,
      "has_summary": true,
      "started_at": 123,
      "created_at": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer pyai_live_... (or pyai_test_...).

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string

Pass the previous page's next_cursor.

session_label
string

Only calls connected with this opaque session tag.

Response

Paginated Omni call list

object
string
Example:

"list"

data
object[]
has_more
boolean
next_cursor
string | null